classification
Title: Cleanup the path configuration implementation code (getpath.c)
Type: Stage: patch review
Components: Interpreter Core Versions: Python 3.9
process
Status: open Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: vstinner
Priority: normal Keywords: patch

Created on 2019-10-02 21:12 by vstinner, last changed 2019-10-10 14:07 by vstinner.

Pull Requests
URL Status Linked Edit
PR 16548 merged vstinner, 2019-10-02 21:13
PR 16549 merged vstinner, 2019-10-02 21:53
PR 16570 merged vstinner, 2019-10-03 21:19
PR 16572 merged vstinner, 2019-10-03 23:12
PR 16573 merged vstinner, 2019-10-03 23:55
PR 16574 merged vstinner, 2019-10-04 00:50
PR 16582 merged vstinner, 2019-10-04 12:30
PR 16585 merged vstinner, 2019-10-04 16:01
PR 16614 merged vstinner, 2019-10-07 10:21
PR 16695 merged vstinner, 2019-10-10 10:10
Messages (13)
msg353774 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-10-02 21:12
Place holder issue for changes related to path configuration cleanup changes (Modules/getpath.c).
msg353777 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-10-02 21:51
New changeset 61691d833631fed42b86605b09e1535e3e8d40e5 by Victor Stinner in branch 'master':
bpo-38353: Cleanup includes in the internal C API (GH-16548)
https://github.com/python/cpython/commit/61691d833631fed42b86605b09e1535e3e8d40e5
msg353879 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-10-03 21:17
New changeset 86ec5c65fe04ece16f3aada5292cc62726062ad0 by Victor Stinner in branch 'master':
bpo-38353: Fix calculate_argv0_path() for symlinks (GH-16549)
https://github.com/python/cpython/commit/86ec5c65fe04ece16f3aada5292cc62726062ad0
msg353885 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-10-03 22:43
New changeset c515b573af1189fc46ddcd3323c53ed073b84848 by Victor Stinner in branch 'master':
bpo-38353: Fix compiler warning in pycore_initconfig.h (GH-16570)
https://github.com/python/cpython/commit/c515b573af1189fc46ddcd3323c53ed073b84848
msg353890 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-10-04 00:20
On my Fedora 30, GCC doesn't complain on "typedef struct pyruntimestate _PyRuntimeState;". But clang on macOS emits a warning, saying that it's C11-only feature. So I modified the internal header files to use "struct pyruntimestate" instead, to avoid any compilation issue.
msg353891 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-10-04 00:21
New changeset e982d8b64f5d358c578bfca5cdfe4524dbc74000 by Victor Stinner in branch 'master':
bpo-38353: Fix compiler warning in internal headers (GH-16573)
https://github.com/python/cpython/commit/e982d8b64f5d358c578bfca5cdfe4524dbc74000
msg353892 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-10-04 00:22
New changeset 03a8a56faca0c1851051269e3517d70cbce830b7 by Victor Stinner in branch 'master':
bpo-38353: Add subfunctions to getpath.c (GH-16572)
https://github.com/python/cpython/commit/03a8a56faca0c1851051269e3517d70cbce830b7
msg353893 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-10-04 01:53
New changeset f0c85793d2a087974969f7eea6ca24bbd1178d53 by Victor Stinner in branch 'master':
bpo-38353: Rework ismodule() in getpath.c (GH-16574)
https://github.com/python/cpython/commit/f0c85793d2a087974969f7eea6ca24bbd1178d53
msg353946 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-10-04 13:26
New changeset abd7cd856ba326bd7574135c7d034e98492ab695 by Victor Stinner in branch 'master':
bpo-38353: getpath.c uses dynamically allocated strings (GH-16582)
https://github.com/python/cpython/commit/abd7cd856ba326bd7574135c7d034e98492ab695
msg353962 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-10-04 17:54
New changeset c02b41b1fb115c87693530ea6a480b2e15460424 by Victor Stinner in branch 'master':
bpo-38353: getpath.c: allocates strings on the heap (GH-16585)
https://github.com/python/cpython/commit/c02b41b1fb115c87693530ea6a480b2e15460424
msg354077 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-10-07 10:57
New changeset b96145a6b5d89599ebccd2111d93f5670ddae840 by Victor Stinner in branch 'master':
bpo-38353: Simplify calculate_pybuilddir() (GH-16614)
https://github.com/python/cpython/commit/b96145a6b5d89599ebccd2111d93f5670ddae840
msg354369 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-10-10 13:42
New changeset b6e0fc74265db96fdd0e0b8151c768c583ad80f0 by Victor Stinner in branch 'master':
bpo-38353: Fix typos in calculate_argv0_path_framework() (GH-16695)
https://github.com/python/cpython/commit/b6e0fc74265db96fdd0e0b8151c768c583ad80f0
msg354379 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-10-10 14:07
I created this issue to attempt to modify _PyPathConfig to use PyWideStringList for module_search_paths, to support ":" character in a path. It would fix bpo-31210.

See also bpo-12989.
History
Date User Action Args
2019-10-10 14:07:02vstinnersetmessages: + msg354379
2019-10-10 13:42:36vstinnersetmessages: + msg354369
2019-10-10 10:10:48vstinnersetpull_requests: + pull_request16281
2019-10-07 10:57:01vstinnersetmessages: + msg354077
2019-10-07 10:21:20vstinnersetpull_requests: + pull_request16203
2019-10-04 17:54:00vstinnersetmessages: + msg353962
2019-10-04 16:01:29vstinnersetpull_requests: + pull_request16176
2019-10-04 13:26:02vstinnersetmessages: + msg353946
2019-10-04 12:30:38vstinnersetpull_requests: + pull_request16173
2019-10-04 01:53:32vstinnersetmessages: + msg353893
2019-10-04 00:50:01vstinnersetpull_requests: + pull_request16166
2019-10-04 00:22:42vstinnersetmessages: + msg353892
2019-10-04 00:21:10vstinnersetmessages: + msg353891
2019-10-04 00:20:42vstinnersetmessages: + msg353890
2019-10-03 23:55:53vstinnersetpull_requests: + pull_request16165
2019-10-03 23:12:27vstinnersetpull_requests: + pull_request16164
2019-10-03 22:43:14vstinnersetmessages: + msg353885
2019-10-03 21:19:12vstinnersetpull_requests: + pull_request16161
2019-10-03 21:17:03vstinnersetmessages: + msg353879
2019-10-02 21:53:10vstinnersetpull_requests: + pull_request16137
2019-10-02 21:51:29vstinnersetmessages: + msg353777
2019-10-02 21:13:00vstinnersetkeywords: + patch
stage: patch review
pull_requests: + pull_request16136
2019-10-02 21:12:43vstinnercreate